Subject: bug#58073: 29.0.50; Uninstalled emacs sends startup messages to stderr

From: Jonas Bernoulli <[email-masked]>
Date: Sun, 02 Oct 2022 22:55:58 +0200

Eli Zaretskii <[email-masked]> writes:
>> 
>> One problem with that approach is that the wrapper cannot be named
>> "emacs".
>
> One thing I can suggest is to use the --dump-file=FILE command-line
> option inside the script to direct Emacs to its .pdmp file.  If you
> don't do that, Emacs tries to intuit it using the value of argv[0] it
> receives from the OS, and I guess your naming somehow trips that?

Thanks for the hint, that might come in handy.  However, I think I made
a mistake when testing earlier; it now works when the wrapper is named
"emacs", despite not using --dump-file=FILE.

Please close, and sorry for the noise.

     Cheers,
     Jonas